[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#313002: marked as done (l-k-h - powerpc64 biarch support)



Your message dated Mon, 13 Jun 2005 01:21:51 +0900
with message-id <81vf4jr1eo.wl@omega.webmasters.gr.jp>
and subject line Bug#313002: l-k-h - powerpc64 biarch support
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--------------------------------------
Received: (at submit) by bugs.debian.org; 11 Jun 2005 08:19:32 +0000
>From waldi@debian.org Sat Jun 11 01:19:32 2005
Return-path: <waldi@debian.org>
Received: from wavehammer.waldi.eu.org [82.139.196.55] (postfix)
	by spohr.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1Dh1DI-00028T-00; Sat, 11 Jun 2005 01:19:32 -0700
Received: by wavehammer.waldi.eu.org (Postfix, from userid 1000)
	id 64A353C025; Sat, 11 Jun 2005 10:19:29 +0200 (CEST)
Date: Sat, 11 Jun 2005 10:19:29 +0200
From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: l-k-h - powerpc64 biarch support
Message-ID: <[🔎] 20050611081929.GC2266@wavehammer.waldi.eu.org>
Mime-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
	protocol="application/pgp-signature"; boundary="Xm/fll+QQv+hsKip"
Content-Disposition: inline
User-Agent: Mutt/1.5.9i
Delivered-To: submit@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-3.0 required=4.0 tests=BAYES_00 autolearn=no 
	version=2.60-bugs.debian.org_2005_01_02
X-Spam-Level: 


--Xm/fll+QQv+hsKip
Content-Type: multipart/mixed; boundary="YD3LsXFS42OYHhNZ"
Content-Disposition: inline


--YD3LsXFS42OYHhNZ
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Package: linux-kernel-headers
Version: 2.6.12+0rc5-1
Severity: wishlist

The attached patch adds powerpc64 biarch support to l-k-h.

Bastian

--=20
Yes, it is written.  Good shall always destroy evil.
		-- Sirah the Yang, "The Omega Glory", stardate unknown

--YD3LsXFS42OYHhNZ
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename=diff
Content-Transfer-Encoding: quoted-printable

diff -u linux-kernel-headers-2.6.12+0rc5/debian/changelog linux-kernel-head=
ers-2.6.12+0rc5/debian/changelog
--- linux-kernel-headers-2.6.12+0rc5/debian/changelog
+++ linux-kernel-headers-2.6.12+0rc5/debian/changelog
@@ -1,3 +1,9 @@
+linux-kernel-headers (2.6.12+0rc5-1.0powerpc64.1) local; urgency=3Dlow
+
+  * Add powerpc64 support.
+
+ -- Bastian Blank <waldi@debian.org>  Sat, 11 Jun 2005 09:56:56 +0200
+
 linux-kernel-headers (2.6.12+0rc5-1) experimental; urgency=3Dlow
=20
   * GOTO Masanori <gotom@debian.org>
diff -u linux-kernel-headers-2.6.12+0rc5/debian/generate-asm.sh linux-kerne=
l-headers-2.6.12+0rc5/debian/generate-asm.sh
--- linux-kernel-headers-2.6.12+0rc5/debian/generate-asm.sh
+++ linux-kernel-headers-2.6.12+0rc5/debian/generate-asm.sh
@@ -4,65 +4,85 @@
=20
-if [ -n "$1" ]; then
-	if [ ! -d "$1" ]; then
-		echo "$1" does not exist, or is not a directory
-		exit 1
-	fi
-	cd $1
-else
-	cd /usr/include
+arch=3D"$1"
+dir_in=3D"$2"
+dir_out=3D"$3"
+
+if [ ! -d "$dir_in" ]; then
+	echo "$dir_in" does not exist, or is not a directory
+	exit 1
 fi
=20
-if [ ! -d asm-sparc ] || [ ! -d asm-sparc64 ] ; then
-	echo E: asm-sparc and asm-sparc64 must exist, or you will have problems
+case "$arch" in
+	powerpc)
+		define_biarch=3D"__powerpc64__"
+		kernel_arch=3D"ppc"
+		kernel_arch_biarch=3D"ppc64"
+		;;
+	sparc)
+		define_biarch=3D"__arch64__"
+		kernel_arch=3D"sparc"
+		kernel_arch_biarch=3D"sparc64"
+		;;
+	*)
+		echo Invalid architeture >&2
+		exit 1
+esac
+
+asm_dir=3D"asm-$kernel_arch"
+asm_dir_biarch=3D"asm-$kernel_arch_biarch"
+
+if [ ! -d "$dir_in/$asm_dir" ] || [ ! -d "$dir_in/$asm_dir_biarch" ] ; then
+	echo E: $asm_dir and $asm_dir_biarch must exist, or you will have problems
 	exit 1
 fi
=20
-rm -rf asm
-mkdir asm
+mkdir -p $dir_out/asm
+cp -a $dir_in/$asm_dir $dir_out/$asm_dir
+cp -a $dir_in/$asm_dir_biarch $dir_out/$asm_dir_biarch
+
+dirs=3D$((( cd "$dir_in/$asm_dir"; find . -type d ); ( cd "$dir_in/$asm_di=
r_biarch"; find . -type d )) | sort -u )
+files=3D$((( cd "$dir_in/$asm_dir"; find . -name "*.h" -type f ); ( cd "$d=
ir_in/$asm_dir_biarch"; find . -name "*.h" -type f )) | sort -u )
=20
-for h in `( ls asm-sparc; ls asm-sparc64 ) | grep '\.h$' | sort -u`; do
-	name=3D`echo $h | tr a-z. A-Z_`
+for h in $dirs; do
+	mkdir -p "$dir_out/asm/$h"
+done
+
+for h in $files; do
+	name=3D$(echo $h | tr a-z. A-Z_)
+	file_out=3D"$dir_out/asm/$h"
 	# common header
-	cat > asm/$h << EOF
+	cat > $file_out << EOF
 /* All asm/ files are generated and point to the corresponding
- * file in asm-sparc or asm-sparc64. To regenerate, run "generate-asm"
+ * file in $asm_dir or $asm_dir_biarch.
  */
=20
-#ifndef __SPARCSTUB__${name}__
-#define __SPARCSTUB__${name}__
-
 EOF
=20
 	# common for sparc and sparc64
-	if [ -f asm-sparc/$h ] && [ -f asm-sparc64/$h ]; then
-		cat >> asm/$h <<EOF
-#ifdef __arch64__
-#include <asm-sparc64/$h>
+	if [ -f $dir_in/$asm_dir/$h ] && [ -f $dir_in/$asm_dir_biarch/$h ]; then
+		cat >> $file_out <<EOF
+#ifdef $define_biarch
+# include <$asm_dir_biarch/$h>
 #else
-#include <asm-sparc/$h>
+# include <$asm_dir/$h>
 #endif
 EOF
=20
-	# sparc only
-	elif [ -f asm-sparc/$h ]; then
-		cat >> asm/$h <<EOF
-#ifndef __arch64__
-#include <asm-sparc/$h>
+	elif [ -f $dir_in/$asm_dir/$h ]; then
+		cat >> $file_out <<EOF
+#ifdef $define_biarch
+# error This header is not available for $kernel_arch_biarch
+#else
+# include <$asm_dir/$h>
 #endif
 EOF
-	# sparc64 only
 	else
-		cat >> asm/$h <<EOF
-#ifdef __arch64__
-#include <asm-sparc64/$h>
+		cat >> $file_out <<EOF
+#ifdef $define_biarch
+# include <$asm_dir_biarch/$h>
+#else
+# error This header is not available for $kernel_arch
 #endif
 EOF
 	fi
=20
-	# common footer
-	cat >> asm/$h <<EOF
-
-#endif /* !__SPARCSTUB__${name}__ */
-EOF
-
 done
diff -u linux-kernel-headers-2.6.12+0rc5/debian/rules linux-kernel-headers-=
2.6.12+0rc5/debian/rules
--- linux-kernel-headers-2.6.12+0rc5/debian/rules
+++ linux-kernel-headers-2.6.12+0rc5/debian/rules
@@ -27,17 +27,13 @@
=20
 lkh-install: stamp-lkh-install
 stamp-lkh-install: build
+	rm -rf $(includedir)
 	install -d $(includedir)
 	install -d $(includedir)/linux
=20
-ifeq ($(kernel_arch),sparc)
-	# Sparc and Sparc64 have separate headers.  Generate wrappers.
-	cp -a include/asm-sparc $(includedir)/asm-sparc
-	cp -a include/asm-sparc64 $(includedir)/asm-sparc64
-	mkdir include/asm
-	sh debian/generate-asm.sh $(includedir)
+ifneq (,$(findstring $(DEB_HOST_ARCH), powerpc sparc))
+	sh debian/generate-asm.sh $(DEB_HOST_ARCH) include $(includedir)
 else
-	rm -rf $(includedir)/asm
 	cp -a include/asm-$(kernel_arch) $(includedir)/asm
 endif
=20

--YD3LsXFS42OYHhNZ--

--Xm/fll+QQv+hsKip
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iEYEARECAAYFAkKqnpEACgkQnw66O/MvCNEB0QCffmWfIFNz8Bu2HTghRAsULHDS
xWYAn3sP8uYB4efmKTgGsLh+gNyrzT/H
=eOcg
-----END PGP SIGNATURE-----

--Xm/fll+QQv+hsKip--

---------------------------------------
Received: (at 313002-done) by bugs.debian.org; 12 Jun 2005 16:21:52 +0000
>From gotom@debian.or.jp Sun Jun 12 09:21:52 2005
Return-path: <gotom@debian.or.jp>
Received: from omega.webmasters.gr.jp (webmasters.gr.jp) [218.44.239.78] 
	by spohr.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1DhVDc-0006ob-00; Sun, 12 Jun 2005 09:21:52 -0700
Received: from omega.webmasters.gr.jp (localhost [127.0.0.1])
	by webmasters.gr.jp (Postfix) with ESMTP
	id 38CEADEB1E; Mon, 13 Jun 2005 01:21:51 +0900 (JST)
Date: Mon, 13 Jun 2005 01:21:51 +0900
Message-ID: <81vf4jr1eo.wl@omega.webmasters.gr.jp>
From: GOTO Masanori <gotom@debian.or.jp>
To: Bastian Blank <waldi@debian.org>, 313002-done@bugs.debian.org
Subject: Re: Bug#313002: l-k-h - powerpc64 biarch support
In-Reply-To: <[🔎] 20050611081929.GC2266@wavehammer.waldi.eu.org>
References: <[🔎] 20050611081929.GC2266@wavehammer.waldi.eu.org>
User-Agent: Wanderlust/2.9.9 (Unchained Melody) SEMI/1.14.3 (Ushinoya)
 FLIM/1.14.3 (=?ISO-8859-4?Q?Unebigory=F2mae?=) APEL/10.3 Emacs/21.2
 (i386-debian-linux-gnu) MULE/5.0 (SAKAKI)
MIME-Version: 1.0 (generated by SEMI 1.14.3 - "Ushinoya")
Content-Type: text/plain; charset=US-ASCII
Delivered-To: 313002-done@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-6.0 required=4.0 tests=BAYES_00,HAS_BUG_NUMBER 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02
X-Spam-Level: 

At Sat, 11 Jun 2005 10:19:29 +0200,
Bastian Blank wrote:
> The attached patch adds powerpc64 biarch support to l-k-h.

Thanks!  I've just put lkh 2.6.12+0rc6-1 into experimental with your
ppc64 biarch support.  Note that I checked some ppc64 stuff, but
there're still some testsuite failures.  I keep investigation in this
week.

Regards,
-- gotom



Reply to: